- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::DII_Deferred_Invocation_Adapter Class Reference

`#include <DII_Invocation_Adapter.h>`

Inheritance diagram for TAO::DII_Deferred_Invocation_Adapter:

[legend]
Collaboration diagram for TAO::DII_Deferred_Invocation_Adapter:

[legend]
List of all members.

## Public Member Functions
| DII_Deferred_Invocation_Adapter (CORBA::Object *target, Argument **args, int arg_number, const char *operation, size_t op_len, Collocation_Proxy_Broker *b, TAO_ORB_Core *oc, CORBA::Request *req, TAO::Invocation_Mode mode=TAO_DII_DEFERRED_INVOCATION)
virtual void | invoke (TAO::Exception_Data *ex, unsigned long ex_count)
| Invoke the target.
## Protected Member Functions
virtual Invocation_Status | invoke_twoway (TAO_Operation_Details &op, CORBA::Object_var &effective_target, Profile_Transport_Resolver &r, ACE_Time_Value *&max_wait_time)
## Private Attributes
CORBA::Request * | request_
TAO_DII_Deferred_Reply_Dispatcher * | rd_
| Reply dispatcher for the current Invocation.
TAO_ORB_Core * | orb_core_
| Cache the orb_core.

## Constructor & Destructor Documentation

TAO::DII_Deferred_Invocation_Adapter::DII_Deferred_Invocation_Adapter | ( | CORBA::Object * | target,
|  | Argument ** | args,
|  | int | arg_number,
|  | const char * | operation,
|  | size_t | op_len,
|  | Collocation_Proxy_Broker * | b,
|  | TAO_ORB_Core * | oc,
|  | CORBA::Request * | req,
|  | TAO::Invocation_Mode | mode = `TAO_DII_DEFERRED_INVOCATION` |
| ) |  |  |

## Member Function Documentation

void TAO::DII_Deferred_Invocation_Adapter::invoke | ( | TAO::Exception_Data * | ex,
|  | unsigned long | ex_count |
| ) |  |  | `[virtual]`

Invoke the target.

Reimplemented from TAO::Invocation_Adapter.

Invocation_Status TAO::DII_Deferred_Invocation_Adapter::invoke_twoway | ( | TAO_Operation_Details & | op,
|  | CORBA::Object_var & | effective_target,
|  | Profile_Transport_Resolver & | r,
|  | ACE_Time_Value *& | max_wait_time |
| ) |  |  | `[protected, virtual]`

Reimplemented from TAO::Invocation_Adapter.

## Member Data Documentation

TAO_ORB_Core* TAO::DII_Deferred_Invocation_Adapter::orb_core_`[private]`

Cache the orb_core.

TAO_DII_Deferred_Reply_Dispatcher* TAO::DII_Deferred_Invocation_Adapter::rd_`[private]`

Reply dispatcher for the current Invocation.

CORBA::Request* TAO::DII_Deferred_Invocation_Adapter::request_`[private]`

The documentation for this class was generated from the following files:

- DII_Invocation_Adapter.h
- DII_Invocation_Adapter.cpp